Movider API Reference
MoviderMoviderAPI Reference
  • API Reference
SMS API
    Send SMSPOSTSend SMSGETSend SMS schedule messages.POSTList all scheduled SMS messages.GETGet a scheduled SMS message.GETCancel a scheduled SMS message.DELETEDelivery reports (DR) for SMSSMPP Connection
Campaign API
    Create a new campaignPOSTList campaign scheduledGETGet a campaign scheduledGETCancel a campaign scheduledDELETE
Viber API
    Create a new viber campaignPOSTList campaign scheduledGETGet a campaign scheduledGETCancel a campaign scheduledDELETE
VERIFICATION API
    Send VerifyPOSTAcknowledge VerifyPOSTCancel VerifyPOST
Voice API
    Send a voice callPOSTGet voice call statusGETVoice API Error codesSupported Voice Languages
BALANCE API
    Get account balancePOST
Contact API
    Create contactsPOSTList contactsGETGet contacts informationGETUpdate contacts informationPATCHDelete contactDELETE
Audience API
    Create a groupPOSTList audience informationGETGet audience informationGETUpdate audience informationPATCHDelete audienceDELETEGet contacts for a groupGETAdd contacts to a groupPUTRemove contacts from a groupDELETE
Chatapps Outbound API
    Send a WhatsApp message using an approved templatePOSTList WhatsApp credit wallets for the authenticated memberGETList approved WhatsApp templates for the authenticated memberGET
GENERAL API INFORMATION
    API Error codesAPI Error codes (extended)Schedule message status referenceDelivery reports (DR) status reference
Schemas
powered by Zudoku

Create a new viber campaign

POSThttps://rest.movider.co/viber-campaign

Create a new camapign. Click 'Try it' then input your **api-key as username and api-secret as password.**


Recent Requests

TimeStatusUser Agent
Make a request to see history.

Body

body application/json required

Headers

accept string enum — defaults to application/json

Generated from available response content types

application/jsonapplication/xml

Responses

Example Request
curl --request POST \ \ --url "https://rest.movider.co/viber-campaign" \ --data '{ "campaignName": "", "channelName": "", "message": "", "phoneNumbers": { "phone": [ "" ] }, "deliveryDate": "2023-03-31T15:05:00.00+07:00", "imageUrl": "", "videoUrl": "", "videoThumbnail": "", "fileUrl": "", "button": { "caption": "", "url": "" } }'
Response

Click Send to see the response.